Bug 849358 - Jenkins is creating small bldr gears when configured for medium gears
Jenkins is creating small bldr gears when configured for medium gears
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Bill DeCoste
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-18 14:54 EDT by Nam Duong
Modified: 2015-05-14 18:58 EDT (History)
5 users (show)

See Also:
Fixed In Version: jenkins-plugin-openshift 0.6.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 17:29:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nam Duong 2012-08-18 14:54:23 EDT
Description of problem:
When configuring Jenkins to build medium gears with the following:
1) Job config:  https://jenkins-cygdomain.rhcloud.com/job/testphp-build/configure
2) Jenkins global config:  https://jenkins-cygdomain.rhcloud.com/configure
my bldr gear is still a small (validated by running ulimit -a and it returning 250 nprocs rather than 2100+)

[testphpbldr-cygdomain.rhcloud.com ~]\> ulimit -a
core file size          (blocks, -c) 0
data seg size           (kbytes, -d) unlimited
scheduling priority             (-e) 0
file size               (blocks, -f) unlimited
pending signals                 (-i) 58356
max locked memory       (kbytes, -l) 64
max memory size         (kbytes, -m) unlimited
open files                      (-n) 1024
pipe size            (512 bytes, -p) 8
POSIX message queues     (bytes, -q) 819200
real-time priority              (-r) 0
stack size              (kbytes, -s) 10240
cpu time               (seconds, -t) unlimited
max user processes              (-u) 250
virtual memory          (kbytes, -v) unlimited
file locks                      (-x) unlimited


This was reported by user on forums:  https://openshift.redhat.com/community/forums/openshift/builder-node-with-medium-gear

There is an open question:  Is that bound to the limitations of the user account?  E.g., does the user need access to medium gears before it will work as this seems like a bug at first glance.
Comment 1 Jianwei Hou 2012-08-22 08:10:24 EDT
Verified on devenv_2050
jenkins-plugin-openshift-0.6.0-0.el6_3.x86_64

Steps:
1.Change node_profile to medium, and add medium gear size for user
2.Create app of medium gear size and embed jenkins
3.log into jenkins webconsole, change builder size to medium
4.make some change in app's repo and git push
5.After jenkins build, call rest api to check bldr gear size
...........
     </cartridge>
      </cartridges>
      <gear-profile>medium</gear-profile>
      <uuid>6e6c9c41279e4d7d9de8ce8b2575cfa1</uuid>
      <links>
        <link>
.............
5.ssh into bldr app, and run 'ulimit -a '
[pm2bldr-2050t1.dev.rhcloud.com ~]\> ulimit -a
core file size          (blocks, -c) 0
data seg size           (kbytes, -d) unlimited
scheduling priority             (-e) 0
file size               (blocks, -f) unlimited
pending signals                 (-i) 28696
max locked memory       (kbytes, -l) 64
max memory size         (kbytes, -m) unlimited
open files                      (-n) 1024
pipe size            (512 bytes, -p) 8
POSIX message queues     (bytes, -q) 819200
real-time priority              (-r) 0
stack size              (kbytes, -s) 10240
cpu time               (seconds, -t) unlimited
max user processes              (-u) 1024
virtual memory          (kbytes, -v) unlimited
file locks                      (-x) unlimited

Result:
The bldr gear has medium size

Note You need to log in before you can comment on or make changes to this bug.